/**
 * Copyright © VNG Realisatie 2023
 * Licensed under the EUPL
 */

@use "../theme";

.directory-page {
    &__actions-bar {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
        margin-bottom: 1.5rem;
    }

    &__loading-message {
        display: none;
    }

    &__peer-column {
        width: 20rem;
    }

    &.htmx-request {
        .directory-page__loaded-content { display: none; }
        .directory-page__loading-message { display: flex; }
    }

    &__no-results {
        color: theme.$colorTextLabel;
        font-size: theme.$fontSizeSmall;
        margin-bottom: 0;
        text-align: center;
        height: calc(100vh - 20rem);
        line-height: calc(100vh - 20rem);
    }
}
